Skip to main content
POST
/
api
/
partners
/
v2.0
/
cues
/
{cue_id}
/
information
/
resolve
Mark an information action as read
curl --request POST \
  --url https://api.example.com/api/partners/v2.0/cues/{cue_id}/information/resolve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "location": {},
  "client_info": {}
}
'
{
  "action_id": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

cue_id
string<uuid>
required

The cue ID

Query Parameters

secret
string
required

Signed secret authorising the caller for this cue

Body

application/json

Body shape for resolving an action whose code is information. The body is optional.

location
Location · object

Optional caller location metadata recorded alongside the read event.

client_info
Client Info · object

Optional caller client metadata (user-agent, device, etc.) recorded alongside the read event.

Response

200 - application/json

OK

Response shape for resolving an action whose code is information.

action_id
string
required

ID of the action whose read was recorded.